Bug 213538 - textproc/py-texttable: Update to 0.8.6, Take MAINTAINER'ship
Summary: textproc/py-texttable: Update to 0.8.6, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olivier Duchateau
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-10-16 15:54 UTC by Danilo G. Baio
Modified: 2016-10-24 17:25 UTC (History)
2 users (show)

See Also:


Attachments
py-texttable-0.8.5.patch (1.09 KB, patch)
2016-10-16 15:54 UTC, Danilo G. Baio
vlad-fbsd: maintainer-approval+
Details | Diff
py-texttable-0.8.6.patch (1.09 KB, patch)
2016-10-22 11:41 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2016-10-16 15:54:57 UTC
Created attachment 175829 [details]
py-texttable-0.8.5.patch

- Update to 0.8.5
- Set architecture neutral
- Fix license
- Take maintainer'ship
   
Changelog:
	Better handling of unicode encodings (#6)

[QA]

portlint: OK (looks fine.)
testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 1 VK freebsd_triage 2016-10-16 17:05:53 UTC
Comment on attachment 175829 [details]
py-texttable-0.8.5.patch

Implicit approval, the port has no maintainer.
Comment 2 Danilo G. Baio freebsd_committer 2016-10-22 11:41:52 UTC
Created attachment 176060 [details]
py-texttable-0.8.6.patch


py-texttable was updated, updating patch.

- Update to 0.8.6
- Set architecture neutral
- Fix license
- Take maintainer'ship
   
Changelog:
	[0.8.6]
		Preserve empty lines (#8)
	[0.8.5]
		Better handling of unicode encodings (#6)

[Q/A]

portlint: OK (looks fine.)
testport: python 2.7 and 3.4
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 3 commit-hook freebsd_committer 2016-10-24 17:20:22 UTC
A commit references this bug:

Author: olivierd
Date: Mon Oct 24 17:20:14 UTC 2016
New revision: 424581
URL: https://svnweb.freebsd.org/changeset/ports/424581

Log:
  - Update to 0.8.6
  - Fix license
  - Port is architecture neutral
  - Pass maintainership to submitter

  PR:		213538
  Submitted by:	Danilo G. Baio

Changes:
  head/textproc/py-texttable/Makefile
  head/textproc/py-texttable/distinfo
Comment 4 Olivier Duchateau freebsd_committer 2016-10-24 17:25:08 UTC
Committed, with minor changes. I removed foutaise.org/ because code/ directory does not exist anymore.